Ads · Tracking Tags

Install on a Shopify, WordPress, Wix or Webflow site

Installs on a Shopify, WordPress, Wix or Webflow site.

POSThttps://api.pozy.ai/v1/accounts/{accountId}/tracking-tags/{tagId}/install
Facebook and Instagram, TikTok, Google Workspace, X, openai and LinkedIn and 6 moreinstallTrackingTagOnStore

Guides: ChatGPT Ads, Site pixels, Pixels and tracking tags

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring
tagIdrequiredstring

Request body

application/json, required

  • storeAccountIdstringrequired
  • adAccountIdstring
  • sidebarIdstring
  • verifyHomepageboolean

    Default true.

Example

curl -X POST "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tracking-tags/697ae8efd24020381023ee99/install" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "storeAccountId": "6fab8658fb861884cecb5434"
}'

Response

200 on success

  • platformstring

    One of metaads, tiktokads, googleads, xads, openaiads, linkedinads, pinterestads, whopads.

  • installobject
    18 child fields
    • storeAccountIdstring
    • platformstring

      One of shopify, wordpress, wix, webflow.

    • tagPlatformstring
    • siteTagIdstring
    • installedboolean
    • shopDomainstring
    • installedTagIdstring

      Can be null.

    • tagsarray of object
      5 child fields
      • platformstring
      • siteTagIdstring
      • widgetIdstring
      • sidebarIdstring
      • activeboolean
    • webPixelIdstring

      Can be null.

    • siteUrlstring

      Can be null.

    • publishRequiredboolean
    • methodstring

      One of wordpress_widget.

    • widgetIdstring

      Can be null.

    • sidebarIdstring

      Can be null.

    • replacedTagIdstring

      Can be null.

    • sidebarNamestring
    • createdboolean
    • homepageCheckstring

      One of found, not_found, unreachable, skipped.

200 response
{
  "platform": "metaads",
  "install": {
    "storeAccountId": "6fab8658fb861884cecb5434",
    "platform": "shopify",
    "tagPlatform": "instagram",
    "siteTagId": "6d5de911d364c53ecd4e8f18",
    "installed": true,
    "shopDomain": "string",
    "installedTagId": "6ec4d1c257fbb96487b17319",
    "tags": [
      {
        "platform": "instagram",
        "siteTagId": "6d5de911d364c53ecd4e8f18",
        "widgetId": "6c3f4cf4c7e5444e7bf8dce4",
        "sidebarId": "617b58e1cd352e5b3aef90b2",
        "active": true
      }
    ],
    "webPixelId": "6223e087da747298091dbc5b",
    "siteUrl": "https://pozy.ai/media/example-1.jpg",
    "publishRequired": true,
    "method": "wordpress_widget",
    "widgetId": "6c3f4cf4c7e5444e7bf8dce4",
    "sidebarId": "617b58e1cd352e5b3aef90b2",
    "replacedTagId": "6f6ed792e4561e645723b854",
    "sidebarName": "Acme",
    "created": true,
    "homepageCheck": "found"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Tracking Tags